Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001631Frama-CPlug-in > wppublic2014-01-24 10:222014-03-13 15:57
Reporterjens 
Assigned Tocorrenson 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSXOSOS Version10.9.1
Product VersionFrama-C Fluorine-20130601 
Target VersionFixed in VersionFrama-C Neon-20140301 
Summary0001631: Confusing bullets for unproven obligations under OSX
DescriptionUnder OSX an unproven obligation is depicted by a red bullet.
It appears as if that po is actually wrong.
Under Linux a cross (x) is shown instead, which I find better.

I think I would prefer a question mark for a proof obligation that could neither be verified nor refuted.

I attach two screen shots: one from osx and one from linux that show the differences.
Additional Informationmight be related to issue 0001485
TagsNo tags attached.
Attached Filespdf file icon gui-osx-and-xubuntu.pdf [^] (753,209 bytes) 2014-01-24 10:22

- Relationships

-  Notes
(0004439)
yakobowski (manager)
2014-01-24 13:18

Those icons actually come straight from your system's GTK theme. You might be able to change them into something more similar to the Linux version, although I don't know how to do so under MacOS.
(0004444)
correnson (manager)
2014-01-24 15:57

I should put the icon used for `unknown` property status instead.
It would no more depend on machine/configuration.
(0004447)
correnson (manager)
2014-01-24 16:12

Use fixed icons
(0004466)
correnson (manager)
2014-01-30 12:55

Fix committed to feature/wp-gui branch.
(0004469)
correnson (manager)
2014-01-30 13:12

Fix committed to master branch.
(0004479)
correnson (manager)
2014-02-04 19:07

Fix committed to feature/bug_1598 branch.
(0004534)
correnson (manager)
2014-02-12 16:57

Fix committed to stable/neon branch.

- Issue History
Date Modified Username Field Change
2014-01-24 10:22 jens New Issue
2014-01-24 10:22 jens Status new => assigned
2014-01-24 10:22 jens Assigned To => correnson
2014-01-24 10:22 jens File Added: gui-osx-and-xubuntu.pdf
2014-01-24 13:18 yakobowski Note Added: 0004439
2014-01-24 15:57 correnson Note Added: 0004444
2014-01-24 16:12 correnson Note Added: 0004447
2014-01-24 16:12 correnson Status assigned => acknowledged
2014-01-30 12:55 correnson Note Added: 0004466
2014-01-30 12:55 correnson Status acknowledged => resolved
2014-01-30 12:55 correnson Resolution open => fixed
2014-01-30 13:12 correnson Note Added: 0004469
2014-02-04 19:07 correnson Note Added: 0004479
2014-02-12 16:57 correnson Note Added: 0004534
2014-03-13 15:56 signoles Fixed in Version => Frama-C Neon-20140301
2014-03-13 15:57 signoles Status resolved => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker